<template>
  <div class="b-box-review">
    <el-card :class="shadowBox">
    <!-- Botones de estado -->
      <div class="text-end">
        <div v-for="(val, index) in btnGroup" :key="index">
          <el-button v-if="val.validationBtnShow" @click="goTo(itemPrincipal, val.editVal, val.newVal, val.btnTextAction) " :class="val.btnClass" plain>{{val.btnTextAction}}</el-button>
        </div>
      </div>
      <!-- Calificación -->
      <el-row style="margin-top:2rem; display: flex; align-items: flex-end; padding-left: 3rem;">
        <el-col v-if="(itemPrincipal.typeOfContent === 'TELEVISA - TELENOVELAS') || (itemPrincipal.typeOfContent === 'TELENOVELA') || (itemPrincipal.typeOfContent === 'Novelas')" :span="4" class="icon_size">
          <img src="../assets/images/icono-novela.svg" :class="imgStyle">
        </el-col>
        <el-col v-if="(itemPrincipal.typeOfContent === 'DIBUJOS') || (itemPrincipal.typeOfContent === 'Dibujos')" :span="4" class="icon_size">
          <img src="../assets/images/icono-dibujo.svg" :class="imgStyle">
        </el-col>
        <el-col v-if="(itemPrincipal.typeOfContent === 'TELEVISA - SERIES') || (itemPrincipal.typeOfContent === 'SERIE') || (itemPrincipal.typeOfContent === 'Series')" :span="4" class="icon_size">
          <img src="../assets/images/icono-serie.svg" :class="imgStyle">
        </el-col>
        <el-col v-if="(itemPrincipal.typeOfContent !== 'TELEVISA - TELENOVELAS' &&  itemPrincipal.typeOfContent !== 'TELENOVELA') && (itemPrincipal.typeOfContent !== 'DIBUJOS' && itemPrincipal.typeOfContent !== 'Dibujos') && (itemPrincipal.typeOfContent !== 'TELEVISA - SERIES' && itemPrincipal.typeOfContent !== 'SERIE' && itemPrincipal.typeOfContent !== 'Series' && itemPrincipal.typeOfContent !== 'Novelas' ) " :span="4" class="icon_size">
          <img :src="rutaImg" :alt="'icon-'+ itemPrincipal.typeOfContent" :class="imgStyle">
        </el-col>  
        <el-col :span="18" :offset="1" style="margin-top: 1.6rem">
          <div>
            <el-rate v-if="itemPrincipal.reviewObj" v-model="itemPrincipal.reviewObj.score" disabled></el-rate>
            <el-rate v-else disabled></el-rate>
          </div>
          <h2 style="margin: 15px auto;">{{itemPrincipal.listTitle}} 
            <span v-if="itemPrincipal.contractPosition !== ''" style="color:#828282">({{itemPrincipal.contractPosition}})</span>
          </h2>
        </el-col>
      </el-row>
        <!-- <el-col :span="24" v-else>
          <h2 style="margin: 15px auto;">{{itemPrincipal.listTitle}}</h2>
        </el-col> -->
      <!-- Info principal -->
      <!-- <h2 style="margin: 15px auto;">{{itemPrincipal.listTitle}} <span style="color:#828282" v-if="itemPrincipal.contractPosition">({{itemPrincipal.contractPosition}})</span></h2> -->
      <!-- <el-row class="detailsMaterial" v-for="(value, index) in detailsData" :key="index">
        <span style="font-size: 17px;"><span class="detailsMaterial__subtitle">{{value.subtitle}}:</span></span>
        <span :span="12" style="font-size: 17px"><span class="detailsMaterial__desc">{{value.content}}</span></span>
      </el-row> -->
      <el-row type="flex" justify="space-between">
        <el-col :span="11" style="padding-left: 3rem; margin-top: 2rem; padding-bottom: 1rem;">  
          <div v-for="(value, index) in detailsData" :key="index" style="margin-bottom: 1rem;">
            <span style="font-size: 17px;" v-if="value.subtitle !== ''"><span class="detailsMaterial__subtitle">{{value.subtitle}}:</span></span>
            <span :span="12" style="font-size: 17px" v-if="value.content !== ''"><span class="detailsMaterial__desc">{{value.content}}</span></span>
          </div>          
        </el-col>
        <el-col :span="1" style="min-width: 4px; height:140px; margin-top: 2rem; margin-bottom: 1.5rem; position: relative;">
          <div style="border-left: 1px solid #828282; height: 100%; position: absolute; left: 50%; margin-left: -1px; top: 0;"></div>
        </el-col>
        <!-- <el-col :span="2" style="min-width: 4px; height:140px; margin-top: 2rem; margin-bottom: 1.5rem; border-left: 1px solid #828282">
        </el-col> -->
        <el-col :span="11" style="margin-top: 2rem; padding-bottom: 1rem;"> 
          <div v-for="(value, index) in detailsData2" :key="index" style="margin-bottom: 1rem;">
            <!-- {{ value }} -->
            <span style="font-size: 17px;" v-if="value.subtitle !== ''"><span class="detailsMaterial__subtitle">{{value.subtitle}}:</span></span>
            <span :span="12" style="font-size: 17px" v-if="value.content !== ''"><span class="detailsMaterial__desc">{{value.content}}</span></span>
          </div>          
        </el-col>
        
      </el-row>
    </el-card>
  </div>
</template>

<script>
export default {
  name: 'app-card-review',
  props: {
    itemPrincipal: Object,
    rutaImg: String,
    detailsData: Object,
    detailsData2: Object,
    shadowBox: String,
    btnGroup: Object,
    imgStyle: String,
    cannedView: {
      type: Boolean,
      required: false
    },
    showRate: {
      type: Boolean,
      required: true
    }
  },
  methods: {
    goTo (item, editVal, newVal, stateBtn) {
      console.log({item, editVal, newVal, stateBtn},"ssssss")
      this.$localStorage.set(editVal, JSON.stringify(item))
      this.$localStorage.set('cannedView', this.cannedView)
      this.$localStorage.set('stateEditReception', JSON.stringify(stateBtn))
      if ( newVal ==  'newCards') {
        if(item.numChapters.length == 0) {
          if(stateBtn == 'SIN REVISAR'){
            this.$router.push({ name: 'revision'})
          } else {
            this.$router.push({ name: 'report'})
          }
        }
        else {
          if(stateBtn == 'SIN REVISAR'){
            this.$router.push({ name: 'revNovel'})
          } else {
            this.$router.push({ name: 'revNovelDoc'})
          }
          
        }  
      }
      else {
        this.$router.push({name: newVal})
      }
    }
  }
}
</script>

<style scoped>
/* .box-card {
  display: flex;
} */
/* .detailsMaterial{
flex-direction: column;
column-count: 2;
justify-content: center;
margin-bottom: 10px;
} */
.icon_size{
  width: 76px;
}
.detailsMaterial__subtitle{
font-weight: 500;
margin-right:  10px;
}
.detailsMaterial__desc{
color: #828282;
}

.heightText {
height: 42px;
}
</style>
